var textImageData = {};

var TAB_2 = {};
TAB_2.pageContentObj;
TAB_2.visitedArr = [];
TAB_2.lastClicked;

let _shell_wrapper = $('#shell_wrapper');

TAB_2.initPage = function (data) {
    TAB_2.pageContentObj = data;
    TAB_2.visitedArr = [];

    $(".ins_text1").html(data.ins_text1);
    $(".ins_text2").html(data.ins_text2);
    $(".ins_text").html(data.ins_text);
    $(".row_counter").addClass("fadeInUp");

    $(".tab").each(function (i) {
        $(this).html(data["click_" + (i + 1)]);
        $(this).data("idx", (i + 1));
        $("#popup_" + (i + 1) + "_Container .popupText").html(data["click_" + (i + 1) + "_text"])
        TAB_2.visitedArr.push(0);
    });

    $("#bottomText").html(data.bottom_text);

}


TAB_2.updateAudio = function (_btn, num) {

}

TAB_2.checkCompletion = function () {
    if (jQuery.inArray(0, TAB_2.visitedArr) == -1) {
        let _data = {
            mNo: 5,
            pNo: 4
        }

        let btn = $(".closebgtn");
        btn.off("click").on("click", function () {
            btn.off("click");
            _shell_wrapper.trigger("gotoModule", _data)
        }).addClass("active");
        
       Utils.pageCompleted()
    }
}

TAB_2.addListeners = function () {

    $(".tab").parent().addClass("enabled");
    $(".tab1").hide()

    $(".tab").off("click").on("click", function () {
        if (TAB_2.lastClicked == undefined || TAB_2.lastClicked.attr('id') != $(this).attr('id') && $(this).parent().hasClass("enabled")) {
            $(".tab").parent().removeClass("selected enabled");
            $(this).parent().addClass("selected");
            if ((!$(this).parent().hasClass('visited')) || (!$(this).hasClass('visited'))) {
                $(".closeBtn").removeClass("enabled");
            }

            var eName = $(this).attr("id");
            var num = parseInt(eName.slice(3, 4));
            $(".ins_text2").hide();
            $(".contentCont #container").fadeOut()
            if (num == 1) {
                $(".ins_text1").hide();
                $(".ins_text2").show();
                setTimeout(function () {
                    $(".contentCont #container").fadeIn()
                    initCourosel();
                }, 300)
            }

            TAB_2.lastClicked = $(this);
        }
    });

    setTimeout(function () {
        $(".btnContainer .tab1").trigger("click")
    }, 300)

}





var init_activity = (function () {
    this.init = function (data, callback) {
        TAB_2.initPage(data);
        setTimeout(function () {
            TAB_2.addListeners();
        }, 400);
    };
    return this;

})

///  courosel is //////////////////////

let initCourosel = function () {
    $(".carousel-container").show();
    addClickActivity();
};


let addClickActivity = function () {
    TAB_2.visitedArr = []
    let _tabs = $(".text_model_style .tabclick")
    _tabs.each(function (i) {
        TAB_2.visitedArr.push(0)
    })

    _tabs.off("click").on("click", function () {

        let _btn = $(this);
        
        if (_btn.hasClass("disabled")) return;
        _tabs.removeClass("selected");

        _tabs.addClass('disabled').removeClass('active');

        let num = parseInt(_btn.attr("id").slice(8, 9));
        //$(".contentWrapper .revealTxt").hide();
        _btn.addClass("selected");
        //$(".lead_wrapper .revealTxt_" + num).show();

        

        $(".lead_wrapper .revealTxt").removeClass('active');
        $(".lead_wrapper .revealTxt_" + num).addClass('active');

        Utils.updateAudio(TAB_2.pageContentObj.audio[num], function () {
            TAB_2.visitedArr[num - 1] = 1;
            _btn.addClass("visiteded");
            _tabs.removeClass('disabled').addClass('active');

            let _data = {
                'qNo': num,
                'r': 1
            }
            _shell_wrapper.trigger("tabClicked", _data);

            TAB_2.checkCompletion();

        })
    }).addClass('disabled').removeClass('active');

}